\documentclass{amsproc}

\input{macros}

\usepackage{biblatex}

\addbibresource{tarea3.bib}

\author{Emmanuel Madrigal}

\title{Tarea 3: Summary of \textit{Feature Detection and Tracking with Constrained Local Models}\cite{cristinacce2006feature}}

\begin{document}

\maketitle

A joint shape and texture model is built form a training set of 1052 manually labelled faces using the method of Cootes (Active Shape Models). However the texture sampling is different, a training patch is sampled around each feature and normalized such that pixel values have zero mean and unit variance, and are concantenated to form a single grey value vector.

$$
\mathbf{x} = \bar{\mathbf{x}} + P_s \mathbf{b}_s \qquad \mathbf{g} = \bar{\mathbf{g}} + P_g \mathbf{b}_g
$$

Where $\mathbf{x}$ represents the shapes and $\mathbf{g}$ represents the textures. These are combined in a joint model:

$$
\mathbf{b} = P_c \mathbf{c} \qquad P_c = \left( \begin{matrix}
    P_{cs}
    P_{cg}
\end{matrix} \right)
\ 
\&
\ 
\mathbf{b} = 
\left(
\begin{matrix}
    W_s \mathbf{b}_s
    \mathbf{b}_g
\end{matrix}
\right)
$$

Where $\mathbf{b}$ is the concantenated vector for shape and texture. $\mathbf{c}$ is the joint appereance parameters. $P_c$ is the orthogonal matrix computed using PCA, which partitions into separate matrices, which together compute the shape and texture parameters. 
Using Cootes method an unseen image can be fitted to the joint model.

The positions can be concantenated into a vector $\mathbf{X}$, where $\mathbf{X} \approx T_\mathbf{t}(\hat{\mathbf{x}} + P_s\mathbf{b}_s )$. The similarity transform $T_\mathbf{t}$ and the shape parameters $b$ are concantenated into $\mathbf{p} = (\mathbf{t}^T | \mathbf{b}_s^T)^T$. The search is performed by optimizing:

$$
f(\mathbf{p}) = \Sigma_{i=1}^n I_i (X_i, Y_i) + K \Sigma_{j=1}^s \frac{-b_j^2}{\lambda_j}
$$

The CLM algorithm is as follows:

\begin{enumerate}
    \item Input an initial set of feature points
    \item Repeat until converged:
    \begin{enumerate}
        \item Fit the joint model to the current set of feature points to generate a set of templates.
        \item Use the shape constrained method to predict a new set of feature points.
    \end{enumerate}
\end{enumerate}


\printbibliography

\end{document}

